Package org.apache.commons.beanutils2.converters

# Class LocalDateTimeConverter

java.lang.Object
org.apache.commons.beanutils2.converters.AbstractConverter<LocalDateTime>
org.apache.commons.beanutils2.converters.DateTimeConverter<LocalDateTime>
org.apache.commons.beanutils2.converters.LocalDateTimeConverter

All Implemented Interfaces:
  `Converter<LocalDateTime>`

public final class LocalDateTimeConverter extends DateTimeConverter<LocalDateTime>
`DateTimeConverter` implementation that handles conversion to and from java.time.LocalDateTime objects.

This implementation can be configured to handle conversion either by using a Locale's default format or by specifying a set of format patterns (note, there is no default String conversion for Calendar). See the `DateTimeConverter` documentation for further details.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  2.0
See Also:
  - `LocalDateTime`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalDateTimeConverter()`
  Constructs a java.time.LocalDateTime Converter that throws a `ConversionException` if an error occurs.
  `LocalDateTimeConverter(LocalDateTime defaultValue)`
  Constructs a java.time.LocalDateTime Converter that returns a default value if an error occurs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<LocalDateTime>`
  `getDefaultType()`
  Gets the default type this `Converter` handles.

  ### Methods inherited from class org.apache.commons.beanutils2.converters.DateTimeConverter

  `convertToString, convertToType, getFormat, getLocale, getPatterns, getTimeZone, setLocale, setPattern, setPatterns, setTimeZone, setUseLocaleFormat, toString`

  ### Methods inherited from class org.apache.commons.beanutils2.converters.AbstractConverter

  `conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toLowerCase, toString, toTrim`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocalDateTimeConverter

    public LocalDateTimeConverter()
    Constructs a java.time.LocalDateTime Converter that throws a `ConversionException` if an error occurs.

  - ### LocalDateTimeConverter

    public LocalDateTimeConverter(LocalDateTime defaultValue)
    Constructs a java.time.LocalDateTime Converter that returns a default value if an error occurs.
    Parameters:
      `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

- ## Method Details

  - ### getDefaultType

    protected Class<LocalDateTime> getDefaultType()
    Gets the default type this `Converter` handles.
    Specified by:
      `getDefaultType` in class `AbstractConverter<LocalDateTime>`
    Returns:
      The default type this `Converter` handles.